/*
 * Copyright 2015-2018 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.zondicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Loïc Sculier aka typhon0
 */
public enum Zondicons implements Ikon {

    ZOOM_OUT("zondi-zoom-out",'\ue900'),
    ZOOM_IN("zondi-zoom-in",'\ue901'),
    YIN_YANG("zondi-yin-yang",'\ue902'),
    WRENCH("zondi-wrench",'\ue903'),
    WINDOW("zondi-window",'\ue904'),
    WINDOW_OPEN("zondi-window-open",'\ue905'),
    WINDOW_NEW("zondi-window-new",'\ue906'),
    WATCH("zondi-watch",'\ue907'),
    WALLET("zondi-wallet",'\ue908'),
    VOLUME_UP("zondi-volume-up",'\ue909'),
    VOLUME_OFF("zondi-volume-off",'\ue90a'),
    VOLUME_MUTE("zondi-volume-mute",'\ue90b'),
    VOLUME_DOWN("zondi-volume-down",'\ue90c'),
    VIEW_TILE("zondi-view-tile",'\ue90d'),
    VIEW_SHOW("zondi-view-show",'\ue90e'),
    VIEW_LIST("zondi-view-list",'\ue90f'),
    VIEW_HIDE("zondi-view-hide",'\ue910'),
    VIEW_COLUMN("zondi-view-column",'\ue911'),
    VIEW_CAROUSEL("zondi-view-carousel",'\ue912'),
    VIDEO_CAMERA("zondi-video-camera",'\ue913'),
    VECTOR("zondi-vector",'\ue914'),
    USER("zondi-user",'\ue915'),
    USER_SOLID_SQUARE("zondi-user-solid-square",'\ue916'),
    USER_SOLID_CIRCLE("zondi-user-solid-circle",'\ue917'),
    USER_GROUP("zondi-user-group",'\ue918'),
    USER_ADD("zondi-user-add",'\ue919'),
    USB("zondi-usb",'\ue91a'),
    UPLOAD("zondi-upload",'\ue91b'),
    TUNING("zondi-tuning",'\ue91c'),
    TROPHY("zondi-trophy",'\ue91d'),
    TRAVEL("zondi-travel",'\ue91e'),
    TRAVEL_WALK("zondi-travel-walk",'\ue91f'),
    TRAVEL_TRAIN("zondi-travel-train",'\ue920'),
    TRAVEL_TAXI_CAB("zondi-travel-taxi-cab",'\ue921'),
    TRAVEL_CASE("zondi-travel-case",'\ue922'),
    TRAVEL_CAR("zondi-travel-car",'\ue923'),
    TRAVEL_BUS("zondi-travel-bus",'\ue924'),
    TRASH("zondi-trash",'\ue925'),
    TRANSLATE("zondi-translate",'\ue926'),
    TOOLS_COPY("zondi-tools-copy",'\ue927'),
    TIMER("zondi-timer",'\ue928'),
    TIME("zondi-time",'\ue929'),
    TICKET("zondi-ticket",'\ue92a'),
    THUMBS_UP("zondi-thumbs-up",'\ue92b'),
    THUMBS_DOWN("zondi-thumbs-down",'\ue92c'),
    THERMOMETER("zondi-thermometer",'\ue92d'),
    TEXT_DECORATION("zondi-text-decoration",'\ue92e'),
    TEXT_BOX("zondi-text-box",'\ue92f'),
    TARGET("zondi-target",'\ue930'),
    TAG("zondi-tag",'\ue931'),
    TABLET("zondi-tablet",'\ue932'),
    SWAP("zondi-swap",'\ue933'),
    SUBDIRECTORY_RIGHT("zondi-subdirectory-right",'\ue934'),
    SUBDIRECTORY_LEFT("zondi-subdirectory-left",'\ue935'),
    STROKE_WIDTH("zondi-stroke-width",'\ue936'),
    STORE_FRONT("zondi-store-front",'\ue937'),
    STETHOSCOPE("zondi-stethoscope",'\ue938'),
    STEP_FORWARD("zondi-step-forward",'\ue939'),
    STEP_BACKWARD("zondi-step-backward",'\ue93a'),
    STATION("zondi-station",'\ue93b'),
    STAR_FULL("zondi-star-full",'\ue93c'),
    STAND_BY("zondi-stand-by",'\ue93d'),
    SHUFFLE("zondi-shuffle",'\ue93e'),
    SHOW_SIDEBAR("zondi-show-sidebar",'\ue93f'),
    SHOPPING_CART("zondi-shopping-cart",'\ue940'),
    SHIELD("zondi-shield",'\ue941'),
    SHARE("zondi-share",'\ue942'),
    SHARE_ALT("zondi-share-alt",'\ue943'),
    SHARE_01("zondi-share-01",'\ue944'),
    SERVERS("zondi-servers",'\ue945'),
    SEND("zondi-send",'\ue946'),
    SEARCH("zondi-search",'\ue947'),
    SCREEN_FULL("zondi-screen-full",'\ue948'),
    SAVE_DISK("zondi-save-disk",'\ue949'),
    REPOST("zondi-repost",'\ue94a'),
    REPLY("zondi-reply",'\ue94b'),
    REPLY_ALL("zondi-reply-all",'\ue94c'),
    RELOAD("zondi-reload",'\ue94d'),
    REFRESH("zondi-refresh",'\ue94e'),
    RADIO("zondi-radio",'\ue94f'),
    RADAR("zondi-radar",'\ue950'),
    RADAR_COPY_2("zondi-radar-copy-2",'\ue951'),
    QUEUE("zondi-queue",'\ue952'),
    QUESTION("zondi-question",'\ue953'),
    PYLON("zondi-pylon",'\ue954'),
    PRINTER("zondi-printer",'\ue955'),
    PORTFOLIO("zondi-portfolio",'\ue956'),
    PLUGIN("zondi-plugin",'\ue957'),
    PLAYLIST("zondi-playlist",'\ue958'),
    PLAY("zondi-play",'\ue959'),
    PLAY_OUTLINE("zondi-play-outline",'\ue95a'),
    PIN("zondi-pin",'\ue95b'),
    PHP_ELEPHANT("zondi-php-elephant",'\ue95c'),
    PHOTO("zondi-photo",'\ue95d'),
    PHONE("zondi-phone",'\ue95e'),
    PEN_TOOL("zondi-pen-tool",'\ue95f'),
    PAUSE("zondi-pause",'\ue960'),
    PAUSE_SOLID("zondi-pause-solid",'\ue961'),
    PAUSE_OUTLINE("zondi-pause-outline",'\ue962'),
    PASTE("zondi-paste",'\ue963'),
    NOTIFICATIONS("zondi-notifications",'\ue964'),
    NOTIFICATIONS_OUTLINE("zondi-notifications-outline",'\ue965'),
    NOTIFICATION("zondi-notification",'\ue966'),
    NEWS_PAPER("zondi-news-paper",'\ue967'),
    NETWORK("zondi-network",'\ue968'),
    NAVIGATION_MORE("zondi-navigation-more",'\ue969'),
    MUSIC_PLAYLIST("zondi-music-playlist",'\ue96a'),
    MUSIC_NOTES("zondi-music-notes",'\ue96b'),
    MUSIC_ARTIST("zondi-music-artist",'\ue96c'),
    MUSIC_ALBUM("zondi-music-album",'\ue96d'),
    MOUSE("zondi-mouse",'\ue96e'),
    MOOD_SAD_SOLID("zondi-mood-sad-solid",'\ue96f'),
    MOOD_SAD_OUTLINE("zondi-mood-sad-outline",'\ue970'),
    MOOD_NEUTRAL_SOLID("zondi-mood-neutral-solid",'\ue971'),
    MOOD_NEUTRAL_OUTLINE("zondi-mood-neutral-outline",'\ue972'),
    MOOD_HAPPY_SOLID("zondi-mood-happy-solid",'\ue973'),
    MOOD_HAPPY_OUTLINE("zondi-mood-happy-outline",'\ue974'),
    MOBILE_DEVICES("zondi-mobile-devices",'\ue975'),
    MINUS_SOLID("zondi-minus-solid",'\ue976'),
    MINUS_OUTLINE("zondi-minus-outline",'\ue977'),
    MIC("zondi-mic",'\ue978'),
    MENU("zondi-menu",'\ue979'),
    MAP("zondi-map",'\ue97a'),
    LOCK_OPEN("zondi-lock-open",'\ue97b'),
    LOCK_CLOSED("zondi-lock-closed",'\ue97c'),
    LOCATION("zondi-location",'\ue97d'),
    LOCATION_SHOPPING("zondi-location-shopping",'\ue97e'),
    LOCATION_RESTROOM("zondi-location-restroom",'\ue97f'),
    LOCATION_PARK("zondi-location-park",'\ue980'),
    LOCATION_MARINA("zondi-location-marina",'\ue981'),
    LOCATION_HOTEL("zondi-location-hotel",'\ue982'),
    LOCATION_GAS_STATION("zondi-location-gas-station",'\ue983'),
    LOCATION_FOOD("zondi-location-food",'\ue984'),
    LOCATION_CURRENT("zondi-location-current",'\ue985'),
    LOAD_BALANCER("zondi-load-balancer",'\ue986'),
    LIST("zondi-list",'\ue987'),
    LIST_BULLET("zondi-list-bullet",'\ue988'),
    LIST_ADD("zondi-list-add",'\ue989'),
    LINK("zondi-link",'\ue98a'),
    LIGHT_BULB("zondi-light-bulb",'\ue98b'),
    LIBRARY("zondi-library",'\ue98c'),
    LAYERS("zondi-layers",'\ue98d'),
    KEYBOARD("zondi-keyboard",'\ue98e'),
    KEY("zondi-key",'\ue98f'),
    INFORMATION_SOLID("zondi-information-solid",'\ue990'),
    INFORMATION_OUTLINE("zondi-information-outline",'\ue991'),
    INDENT_INCREASE("zondi-indent-increase",'\ue992'),
    INDENT_DECREASE("zondi-indent-decrease",'\ue993'),
    INBOX("zondi-inbox",'\ue994'),
    INBOX_FULL("zondi-inbox-full",'\ue995'),
    INBOX_DOWNLOAD("zondi-inbox-download",'\ue996'),
    INBOX_CHECK("zondi-inbox-check",'\ue997'),
    HOUR_GLASS("zondi-hour-glass",'\ue998'),
    HOT("zondi-hot",'\ue999'),
    HOME("zondi-home",'\ue99a'),
    HEART("zondi-heart",'\ue99b'),
    HEADPHONES("zondi-headphones",'\ue99c'),
    HARD_DRIVE("zondi-hard-drive",'\ue99d'),
    HAND_STOP("zondi-hand-stop",'\ue99e'),
    GLOBE("zondi-globe",'\ue99f'),
    GIFT("zondi-gift",'\ue9a0'),
    FORWARD("zondi-forward",'\ue9a1'),
    FORWARD_STEP("zondi-forward-step",'\ue9a2'),
    FORMAT_UNDERLINE("zondi-format-underline",'\ue9a3'),
    FORMAT_TEXT_SIZE("zondi-format-text-size",'\ue9a4'),
    FORMAT_ITALIC("zondi-format-italic",'\ue9a5'),
    FORMAT_FONT_SIZE("zondi-format-font-size",'\ue9a6'),
    FORMAT_BOLD("zondi-format-bold",'\ue9a7'),
    FOLDER("zondi-folder",'\ue9a8'),
    FOLDER_OUTLINE("zondi-folder-outline",'\ue9a9'),
    FOLDER_OUTLINE_ADD("zondi-folder-outline-add",'\ue9aa'),
    FLASHLIGHT("zondi-flashlight",'\ue9ab'),
    FLAG("zondi-flag",'\ue9ac'),
    FILTER("zondi-filter",'\ue9ad'),
    FILM("zondi-film",'\ue9ae'),
    FAST_REWIND("zondi-fast-rewind",'\ue9af'),
    FAST_FORWARD("zondi-fast-forward",'\ue9b0'),
    FACTORY("zondi-factory",'\ue9b1'),
    EXPLORE("zondi-explore",'\ue9b2'),
    EXCLAMATION_SOLID("zondi-exclamation-solid",'\ue9b3'),
    EXCLAMATION_OUTLINE("zondi-exclamation-outline",'\ue9b4'),
    ENVELOPE("zondi-envelope",'\ue9b5'),
    EDUCATION("zondi-education",'\ue9b6'),
    EDIT_PENCIL("zondi-edit-pencil",'\ue9b7'),
    EDIT_CUT("zondi-edit-cut",'\ue9b8'),
    EDIT_CROP("zondi-edit-crop",'\ue9b9'),
    EDIT_COPY("zondi-edit-copy",'\ue9ba'),
    DUPLICATE("zondi-duplicate",'\ue9bb'),
    DOWNLOAD("zondi-download",'\ue9bc'),
    DOTS_HORIZONTAL_TRIPLE("zondi-dots-horizontal-triple",'\ue9bd'),
    DOTS_HORIZONTAL_DOUBLE("zondi-dots-horizontal-double",'\ue9be'),
    DOCUMENT("zondi-document",'\ue9bf'),
    DOCUMENT_ADD("zondi-document-add",'\ue9c0'),
    DIRECTIONS("zondi-directions",'\ue9c1'),
    DIAL_PAD("zondi-dial-pad",'\ue9c2'),
    DATE_ADD("zondi-date-add",'\ue9c3'),
    DASHBOARD("zondi-dashboard",'\ue9c4'),
    CURRENCY_DOLLAR("zondi-currency-dollar",'\ue9c5'),
    CREDIT_CARD("zondi-credit-card",'\ue9c6'),
    COPY("zondi-copy",'\ue9c7'),
    CONVERSATION("zondi-conversation",'\ue9c8'),
    COMPUTER_LAPTOP("zondi-computer-laptop",'\ue9c9'),
    COMPUTER_DESKTOP("zondi-computer-desktop",'\ue9ca'),
    COMPOSE("zondi-compose",'\ue9cb'),
    COLOR_PALETTE("zondi-color-palette",'\ue9cc'),
    COG("zondi-cog",'\ue9cd'),
    COFFEE("zondi-coffee",'\ue9ce'),
    CODE("zondi-code",'\ue9cf'),
    CLOUD("zondi-cloud",'\ue9d0'),
    CLOUD_UPLOAD("zondi-cloud-upload",'\ue9d1'),
    CLOSE("zondi-close",'\ue9d2'),
    CLOSE_SOLID("zondi-close-solid",'\ue9d3'),
    CLOSE_OUTLINE("zondi-close-outline",'\ue9d4'),
    CLIPBOARD("zondi-clipboard",'\ue9d5'),
    CHEVERON_UP("zondi-cheveron-up",'\ue9d6'),
    CHEVERON_RIGHT("zondi-cheveron-right",'\ue9d7'),
    CHEVERON_OUTLINE_UP("zondi-cheveron-outline-up",'\ue9d8'),
    CHEVERON_OUTLINE_RIGHT("zondi-cheveron-outline-right",'\ue9d9'),
    CHEVERON_OUTLINE_LEFT("zondi-cheveron-outline-left",'\ue9da'),
    CHEVERON_OUTLINE_DOWN("zondi-cheveron-outline-down",'\ue9db'),
    CHEVERON_LEFT("zondi-cheveron-left",'\ue9dc'),
    CHEVERON_DOWN("zondi-cheveron-down",'\ue9dd'),
    CHECKMARK("zondi-checkmark",'\ue9de'),
    CHECKMARK_OUTLINE("zondi-checkmark-outline",'\ue9df'),
    CHAT_BUBBLE_DOTS("zondi-chat-bubble-dots",'\ue9e0'),
    CHART("zondi-chart",'\ue9e1'),
    CHART_PIE("zondi-chart-pie",'\ue9e2'),
    CHART_BAR("zondi-chart-bar",'\ue9e3'),
    CAMERA("zondi-camera",'\ue9e4'),
    CALENDAR("zondi-calendar",'\ue9e5'),
    CALCULATOR("zondi-calculator",'\ue9e6'),
    BUOY("zondi-buoy",'\ue9e7'),
    BUG("zondi-bug",'\ue9e8'),
    BROWSER_WINDOW("zondi-browser-window",'\ue9e9'),
    BROWSER_WINDOW_OPEN("zondi-browser-window-open",'\ue9ea'),
    BROWSER_WINDOW_NEW("zondi-browser-window-new",'\ue9eb'),
    BRIGHTNESS_UP("zondi-brightness-up",'\ue9ec'),
    BRIGHTNESS_DOWN("zondi-brightness-down",'\ue9ed'),
    BOX("zondi-box",'\ue9ee'),
    BORDER_VERTICAL("zondi-border-vertical",'\ue9ef'),
    BORDER_TOP("zondi-border-top",'\ue9f0'),
    BORDER_RIGHT("zondi-border-right",'\ue9f1'),
    BORDER_OUTER("zondi-border-outer",'\ue9f2'),
    BORDER_NONE("zondi-border-none",'\ue9f3'),
    BORDER_LEFT("zondi-border-left",'\ue9f4'),
    BORDER_INNER("zondi-border-inner",'\ue9f5'),
    BORDER_HORIZONTAL("zondi-border-horizontal",'\ue9f6'),
    BORDER_BOTTOM("zondi-border-bottom",'\ue9f7'),
    BORDER_ALL("zondi-border-all",'\ue9f8'),
    BOOKMARK("zondi-bookmark",'\ue9f9'),
    BOOKMARK_OUTLINE("zondi-bookmark-outline",'\ue9fa'),
    BOOKMARK_OUTLINE_ADD("zondi-bookmark-outline-add",'\ue9fb'),
    BOOKMARK_COPY_3("zondi-bookmark-copy-3",'\ue9fc'),
    BOOKMARK_COPY_2("zondi-bookmark-copy-2",'\ue9fd'),
    BOOK_REFERENCE("zondi-book-reference",'\ue9fe'),
    BOLT("zondi-bolt",'\ue9ff'),
    BLUETOOTH("zondi-bluetooth",'\uea00'),
    BLOCK("zondi-block",'\uea01'),
    BEVERAGE("zondi-beverage",'\uea02'),
    BATTERY_LOW("zondi-battery-low",'\uea03'),
    BATTERY_HALF("zondi-battery-half",'\uea04'),
    BATTERY_FULL("zondi-battery-full",'\uea05'),
    BADGE("zondi-badge",'\uea06'),
    BACKWARD("zondi-backward",'\uea07'),
    BACKWARD_STEP("zondi-backward-step",'\uea08'),
    BACKSPACE("zondi-backspace",'\uea09'),
    ATTACHMENT("zondi-attachment",'\uea0a'),
    AT_SYMBOL("zondi-at-symbol",'\uea0b'),
    ARTIST("zondi-artist",'\uea0c'),
    ARROW_UP("zondi-arrow-up",'\uea0d'),
    ARROW_THIN_UP("zondi-arrow-thin-up",'\uea0e'),
    ARROW_THIN_RIGHT("zondi-arrow-thin-right",'\uea0f'),
    ARROW_THIN_LEFT("zondi-arrow-thin-left",'\uea10'),
    ARROW_THIN_DOWN("zondi-arrow-thin-down",'\uea11'),
    ARROW_THICK_UP("zondi-arrow-thick-up",'\uea12'),
    ARROW_THICK_RIGHT("zondi-arrow-thick-right",'\uea13'),
    ARROW_THICK_LEFT("zondi-arrow-thick-left",'\uea14'),
    ARROW_THICK_DOWN("zondi-arrow-thick-down",'\uea15'),
    ARROW_RIGHT("zondi-arrow-right",'\uea16'),
    ARROW_OUTLINE_UP("zondi-arrow-outline-up",'\uea17'),
    ARROW_OUTLINE_RIGHT("zondi-arrow-outline-right",'\uea18'),
    ARROW_OUTLINE_LEFT("zondi-arrow-outline-left",'\uea19'),
    ARROW_OUTLINE_DOWN("zondi-arrow-outline-down",'\uea1a'),
    ARROW_LEFT("zondi-arrow-left",'\uea1b'),
    ARROW_DOWN("zondi-arrow-down",'\uea1c'),
    APPAREL("zondi-apparel",'\uea1d'),
    ANNOUNCEMENT("zondi-announcement",'\uea1e'),
    ANCHOR("zondi-anchor",'\uea1f'),
    ALIGN_RIGHT("zondi-align-right",'\uea20'),
    ALIGN_LEFT("zondi-align-left",'\uea21'),
    ALIGN_JUSTIFIED("zondi-align-justified",'\uea22'),
    ALIGN_CENTER("zondi-align-center",'\uea23'),
    ALBUM("zondi-album",'\uea24'),
    AIRPLANE("zondi-airplane",'\uea25'),
    ADJUST("zondi-adjust",'\uea26'),
    ADD_SOLID("zondi-add-solid",'\uea27'),
    ADD_OUTLINE("zondi-add-outline",'\uea28');

    public static Zondicons findByDescription(String description) {
        for (Zondicons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    Zondicons(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}